#{extends 'common/landing-base.html' /}
#{set 'title'}
Smart Report Non e-Tendering
#{/set}
<section class="component-header-top" style="background-image: url(@{'public/images/bg-blacklist.svg'})">
    <div class="ui grid">
        <div class="sixteen wide column middle aligned center aligned">
            <h2>Smart Report Non e-Tendering Tahun ${tahun}</h2>
        </div>
    </div>
</section>
<section class="wrapper-smart-report">
    <div class="ui container">
        <div class="ui grid">
            <div class="sixteen wide column">
                <div class="ui divider hidden"></div>
                <div class="ui breadcrumb">
                    <a href="#{url route.core_landingcontroller_index /}" class="section">Home</a>
                    <div class="divider"> / </div>
                    <a href="#{url route.smartreport_smartreportcontroller_nonetendering, filter: filter /}" class="section">Smart Report Non e-Tendering</a>
                    <div class="divider"> / </div>
                    <div class="active section">Tahun ${tahun}</div>
                </div>
            </div>
            <form method="get" action="@{controllers.smartreport.SmartReportController.nonETenderingDetail(filter, tahun)}" class="search-bar" id="searchForm">
                <input type="hidden" name="tahun" value="${tahun}">
                <div class="ui dropdown selection component-dropdown">
                    <input type="hidden" name="filter" value="${filter}">
                    <i class="dropdown icon"></i>
                    <div class="default text">Pilih Filter</div>
                    <div class="menu">
                    #{list items:filters, as:'f'}
                        <div class="item" data-value="${f}">${f.toString().replaceAll("_", " ")}</div>
                    #{/list}
                    </div>
                </div>
            </form>
        </div>
        <div class="ui grid">
            <div class="sixteen wide column">
                #{common.bar-chart chartable: chartable, id: "canvas", title: 'Smart Report', xLabel: 'LPSE', yLabel: '', money: filter.money/}
            </div>
        </div>
        <div class="ui divider hidden"></div>
    #{dashboard.search-bar result:result /}
        <div class="ui grid stackable">
            <div class="sixteen wide column">
                <table class="ui striped celled structured table padded comp-table-th">
                    <thead>
                    <tr>
                        <th class="left aligned">LPSE</th>
                        #{list items: labels, as: 'label'}
                        <th class="center aligned">${label}</th>
                        #{/list}
                    </tr>
                    </thead>
                    <tbody>
                    #{list items: result?.getItems(), as: 'item'}
                    <tr>
                        <td class="left aligned">${item?.nama_lpse}</td>
                        #{list items: attributes, as: 'attribute'}
                            <td class="center aligned">
                                #{if filter.money}
                                ${item?.getNumber(attribute)?.formatCurrenciesJuta()}
                                #{/if}
                                #{else}
                                ${item?.getNumber(attribute)?.formatNumberIndonesia()}
                                #{/else}
                            </td>
                        #{/list}
                    </tr>
                    #{/list}
                    </tbody>
                </table>
            </div>
        </div>
    #{pagination result /}
    </div>
</section>

#{set 'moreScripts'}
    <script src="@{'/public/assets/semantic/components/dropdown.min.js'}"></script>
    <script>
        $('.dropdown')
                .dropdown({
                    action: 'hide',
                    onChange: function(value, text, $selectedItem) {
                        $("input[name=filter]").val($selectedItem.data('value'));
                        if ($("input[name=search]").length && $("input[name=search]").val().length) {
                            let getSearch = $("<input>").attr("name", "search").attr("type", "hidden")
                                    .val($("input[name=search]").val());
                            $('#searchForm').append($(getSearch));
                        }
                        $("#searchForm").submit();
                    }
                });
    </script>
    #{get 'chartScripts' /}
#{/set}
